summaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorMarius Peter <marius.peter@tutanota.com>2024-01-02 19:50:22 +0100
committerMarius Peter <marius.peter@tutanota.com>2024-01-02 19:50:22 +0100
commit805c6b911e4d1ebb4e5e951092fa284705aa1f66 (patch)
tree1e255d99ad5dcb23f73743af468e2c484e34a451 /deploy.sh
parent008b1b496070d9549707d7dd8c28175692eacf10 (diff)
Improved deployment script.
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/deploy.sh b/deploy.sh
index 2b13543..b5111a3 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -7,7 +7,8 @@ echo Deploying app:
rsync -azvP . $remote_app --chown=mpeter:www-data\
--exclude={'.venv','.git','app/__pycache__',}\
--exclude 'app/fapg.db*' # Files
+if [ $? -eq 0 ]; then echo App deployed to $remote_app; fi
+
echo Deploying static files:
rsync -azvP ./app/static $remote_static --chown=mpeter:www-data
-echo App deployed to $remote_app
-echo Static files to $remote_static.
+if [ $? -eq 0 ]; then echo Static files to $remote_static.; fi
Copyright 2019--2024 Marius PETER